Skip to main content
PATCH
/
v1
/
admin
/
distribution
/
contracts
/
{id}
Update a distribution contract
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/distribution/contracts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channelId": "<string>",
  "startsAt": "2023-12-25",
  "supplierId": "<string>",
  "status": "<string>",
  "endsAt": "2023-12-25",
  "paymentOwner": "<string>",
  "cancellationOwner": "<string>",
  "settlementTerms": "<string>",
  "notes": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "channelId": "<string>",
    "supplierId": "<string>",
    "status": "<string>",
    "startsAt": "2023-12-25",
    "endsAt": "2023-12-25",
    "paymentOwner": "<string>",
    "cancellationOwner": "<string>",
    "settlementTerms": "<string>",
    "notes": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
channelId
string
required
startsAt
string<date>
required
supplierId
string
status
string
endsAt
string<date>
paymentOwner
string
cancellationOwner
string
settlementTerms
string
notes
string

Response

200 - application/json

Updated contract

data
object